C++ Compiler Not Installed?

Gias Kay Lee gsklee.of.planet.earth at gmail.com
Sun Oct 2 16:51:51 UTC 2011


Hello everyone,
I was trying to build a package for Maverick/Natty/Oneiric on PPA, and
encountered some peculiar error. For Maverick & Natty, both the building
processes aborted and given the same error:

***
Checking whether the C++ compiler worksno
c++ compiler not installed!
make: *** [debian/stamp-scons-build] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
***

However for Oneiric the building was successful.

Links:
Maverick -
https://launchpad.net/~gias-kay-lee/+archive/mongodb-test/+build/2816870
Natty -
https://launchpad.net/~gias-kay-lee/+archive/mongodb-test/+build/2817578
Oneiric -
https://launchpad.net/~gias-kay-lee/+archive/mongodb-test/+build/2817579

The package (mongodb) is the newest version, taken from Debian Sid's repo.

I tried to specify g++ as a Build-depend but that didn't work; should I
appoint a minimum version to it? What's the actually cause of this problem
and how do I solve it?

Thanks for your time helping me get an idea. Much appreciated.


Gias Kay
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.ubuntu.com/archives/ubuntu-motu-mentors/attachments/20111003/f8f9e038/attachment.html>


More information about the Ubuntu-motu-mentors mailing list